VitalPBX 4.0.0 R7 Update

During the update I get the following message:

Setting up vitalpbx (4.0.0-7) ...

Configuration file '/etc/mysql/conf.d/vitalpbx.cnf'
 ==> Modified (by you or by a script) since installation.
 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      Z     : start a shell to examine the situation
 The default action is to keep your current version.
*** vitalpbx.cnf (Y/I/N/O/D/Z) [default=N] ?

What is the recommendation the default “N” ?

Another, on the release note for 4.0.0 R7 it says “Only the Starter License will unblock the extensions limit and the extended features”.My understanding was that if we bought any add-on like Geo-Firewall or Phone Provisioninig i will unlock the extensions limit and features.

Thanks

I thought that [and pressed] Y.

Perhaps @miguel can confirm.

During the update I got:

Setting up vitxi (4.0.0-2) …
Application cache cleared!
Configuration cache cleared!
Configuration cached successfully!
Route cache cleared!
Routes cached successfully!
Files cached successfully!
Migrating: 2018_12_14_000000_create_favorites_table

In Connection.php line 712:

SQLSTATE[42S01]: Base table or view already exists: 1050 Table ‘favorites’ already exists (SQL: create table favorites (id bigint unsigned not null auto_increment primary key, user_id bigint unsigned n
ot null comment ‘user_id’, favoriteable_type varchar(255) not null, favoriteable_id bigint unsigned not null, created_at timestamp null, updated_at timestamp null) default character set utf8mb4 colla
te ‘utf8mb4_unicode_ci’)

In Exception.php line 18:

SQLSTATE[42S01]: Base table or view already exists: 1050 Table ‘favorites’ already exists

In PDOStatement.php line 117:

SQLSTATE[42S01]: Base table or view already exists: 1050 Table ‘favorites’ already exists

dpkg: error processing package vitxi (–configure):
installed vitxi package post-installation script subprocess returned error exit status 1
Errors were encountered while processing:
vitxi
E: Sub-process /usr/bin/dpkg returned an error code (1)

Maybe you installed VitXi but didn’t finish the Wizard.

On the other hand, it is not an issue related to the VitalPBX Update but an issue with the VitXi package.

My recommendation:

  • Uninstall VitXi
  • Install it again
  • Run the VitXi Wizard

Vitxi was completed installed with the wizard was completedand I was doing some testing. Since this is a test enviroment I don’t mind to follow your recommendation.

After uninstalling and installing back vitxi, now seems to be fine.

Another, on the release note for 4.0.0 R7 it says “Only the Starter License will unblock the extensions limit and the extended features”.My understanding was that if we bought any add-on like Geo-Firewall or Phone Provisioninig i will unlock the extensions limit and features.

I guess you should ask sales@vitalpbx.com

Ok… I will ask Thanks !